# std::char_traits<CharT>::move

From cppreference.com
< cpp‎ | string‎ | char traits

static char_type* move( char_type* dest, const char_type* src, std::size_t count ); |  | (until C++20)
static constexpr char_type* move( char_type* dest, const char_type* src, std::size_t count ); |  | (since C++20)

Copies `count` character from character string pointed to by `src` to character string pointed to by `dest`.

Performs correctly even if the copied character ranges overlap, i.e. `src` is in [`dest`, `dest + count`).

### Parameters

dest | - | pointer to a character string to copy to
src | - | pointer to a character string to copy from
count | - | the number of characters to copy

### Return value

`dest`

### Exceptions

(none)

### Complexity

Linear.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/char_traits/move&oldid=107560"